SchemaDisagreementException (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class SchemaDisagreementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.thrift.TException
      - - org.apache.cassandra.thrift.SchemaDisagreementException

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<SchemaDisagreementException>, org.apache.thrift.TBase<SchemaDisagreementException,SchemaDisagreementException._Fields>

      public class SchemaDisagreementException
      extends org.apache.thrift.TException
      implements org.apache.thrift.TBase<SchemaDisagreementException,SchemaDisagreementException._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<SchemaDisagreementException>

  NOTE: This up outdated exception left for backward compatibility reasons, no actual schema agreement validation is done starting from Cassandra 1.2 schemas are not in agreement across all nodes
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SchemaDisagreementException._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<SchemaDisagreementException._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaDisagreementException()`
    `SchemaDisagreementException(SchemaDisagreementException other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(SchemaDisagreementException other)`
    `SchemaDisagreementException` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(SchemaDisagreementException that)`
    `SchemaDisagreementException._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(SchemaDisagreementException._Fields field)`
    `int` | `hashCode()`
    `boolean` | `isSet(SchemaDisagreementException._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(SchemaDisagreementException._Fields field, java.lang.Object value)`
    `java.lang.String` | `toString()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final java.util.Map<SchemaDisagreementException._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### SchemaDisagreementException

          public SchemaDisagreementException()

    - #### SchemaDisagreementException

          public SchemaDisagreementException(SchemaDisagreementException other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public SchemaDisagreementException deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<SchemaDisagreementException,SchemaDisagreementException._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<SchemaDisagreementException,SchemaDisagreementException._Fields>`

    - #### setFieldValue

          public void setFieldValue(SchemaDisagreementException._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<SchemaDisagreementException,SchemaDisagreementException._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(SchemaDisagreementException._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<SchemaDisagreementException,SchemaDisagreementException._Fields>`

    - #### isSet

          public boolean isSet(SchemaDisagreementException._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<SchemaDisagreementException,SchemaDisagreementException._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(SchemaDisagreementException that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(SchemaDisagreementException other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<SchemaDisagreementException>`

    - #### fieldForId

          public SchemaDisagreementException._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<SchemaDisagreementException,SchemaDisagreementException._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<SchemaDisagreementException,SchemaDisagreementException._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<SchemaDisagreementException,SchemaDisagreementException._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation